package fishrungames.bashgid.core;

public class PhotoManager
{

	public static class PhotoRecordData
	{
		public String title;
		public String description;
		public String imageUrl;
		public String imageHash;
		public double geoLat;
		public double geoLon;
		
		public PhotoRecordData(String title, String description, String imageUrl, String imageHash, double geoLat, double geoLon)
		{

			this.title = title;
			this.description = description;
			this.imageUrl = imageUrl;
			this.imageHash = imageHash;
			this.geoLat = geoLat;
			this.geoLon = geoLon;
		}
		
		public PhotoRecordData(PhotoRecordData copyFrom)
		{
			this.title = copyFrom.title;
			this.description = copyFrom.description;
			this.imageUrl = copyFrom.imageUrl;
			this.imageHash = copyFrom.imageHash;
			this.geoLat = copyFrom.geoLat;
			this.geoLon = copyFrom.geoLon;
		}
	}
	
	public static class PhotoRecord extends PhotoRecordData
	{
		public int id;

		PhotoRecord(int id, PhotoRecordData data)
		{
			super(data);
			this.id = id;
		}
	}
	
	static PhotoManager instance = null;
	
	
	public static PhotoManager getInstance()
	{
		if (instance == null)
		{
			instance = new PhotoManager();
		}
		
		return instance;
	}
	
	
	
}
